
<form action="{% url admin-media-video-attach %}" method="post" id="{{meta.module_name}}_video_form" enctype="multipart/form-data">{% csrf_token %}

{% if form.errors %}
    <p class="errornote">
    Please correct the errors below.
    </p>
    <ul class="errorlist">
    {{ form.errors }}
    {{ form.non_field_errors|unordered_list }}
    </ul>
{% endif %}

{{ form.id }}
{{ form.model }}
<fieldset class="module aligned">
  <h2>{{title}}</h2>
  <div class="form-row">
   {{ form.videofile.label_tag }} {{ form.videofile }} &nbsp; <input type="submit" value="upload video" />
  </div>
  <div class="form-row">
    {{form.video.label_tag}} {{form.video}}  &nbsp; <input type="submit" value="add video" />
  </div>
</fieldset>

<fieldset class="module">
<div class="form-row">
<label>Current Videos: &nbsp; (drag videos to select order)</label>
</div>
{% if model.videos.all %}
{% load media util thumbnail %}
<ul id="sortable-videos">
{% for video in model.videos.all %}
    <li class="sortable-file" id="video_{{video.id}}">
      {% thumbnail video.image 100x100 as thumb %}{% mimetype_image video.filename as mime_img %}
      <img src="{{thumb|default:mime_img}}" alt="{{video.filename}}" /><br/>
      <span>{{video.title}}</span>
      <div class="sortable-tools">
      <a href="{% url admin:media_video_change video.id %}" class="changelink">edit</a>
      <a href="{% url admin-media-video-delete_relation video.id meta.app_label meta.object_name model.pk %}" class="deletelink">delete</a>
      </div>
    </li>
{% endfor %}
</ul>

<script type="text/javascript">
$(function(){
    $('#sortable-videos').sortable({
        'scroll': true,
        'update': function(e, ui){            
            var data = $(this).sortable('serialize').replace(/\[\]/g, '');
            data += '&model={{meta.app_label}}.{{meta.object_name}}';
            data += '&id={{model.pk}}';
            $.post('{% url admin-media-video-sort %}', data);
        }
    });
});
</script>

{% else %}
<p class="">No videos yet...</p>
{% endif %}

</fieldset>
</form>
